Skip to content
Projects
Groups
Snippets
Help
Loading...
Help
Support
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in
Toggle navigation
P
Postgres FD Implementation
Project overview
Project overview
Details
Activity
Releases
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Issues
0
Issues
0
List
Boards
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Analytics
Analytics
CI / CD
Repository
Value Stream
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Abuhujair Javed
Postgres FD Implementation
Commits
de9aa5a7
Commit
de9aa5a7
authored
Jan 07, 2007
by
Peter Eisentraut
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
Check and document minimum required version of libxml.
parent
fe733968
Changes
3
Hide whitespace changes
Inline
Side-by-side
Showing
3 changed files
with
17 additions
and
16 deletions
+17
-16
configure
configure
+12
-12
configure.in
configure.in
+2
-2
doc/src/sgml/installation.sgml
doc/src/sgml/installation.sgml
+3
-2
No files found.
configure
View file @
de9aa5a7
...
...
@@ -7307,9 +7307,9 @@ fi
if
test
"
$with_libxml
"
=
yes
;
then
echo
"
$as_me
:
$LINENO
: checking for xml
InitPars
er in -lxml2"
>
&5
echo
$ECHO_N
"checking for xml
InitPars
er in -lxml2...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_lib_xml2_xml
InitPars
er
+set
}
"
=
set
;
then
echo
"
$as_me
:
$LINENO
: checking for xml
SaveToBuff
er in -lxml2"
>
&5
echo
$ECHO_N
"checking for xml
SaveToBuff
er in -lxml2...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_lib_xml2_xml
SaveToBuff
er
+set
}
"
=
set
;
then
echo
$ECHO_N
"(cached)
$ECHO_C
"
>
&6
else
ac_check_lib_save_LIBS
=
$LIBS
...
...
@@ -7327,11 +7327,11 @@ extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char xml
InitPars
er ();
char xml
SaveToBuff
er ();
int
main ()
{
xml
InitPars
er ();
xml
SaveToBuff
er ();
;
return 0;
}
...
...
@@ -7358,20 +7358,20 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
;
then
ac_cv_lib_xml2_xml
InitPars
er
=
yes
ac_cv_lib_xml2_xml
SaveToBuff
er
=
yes
else
echo
"
$as_me
: failed program was:"
>
&5
sed
's/^/| /'
conftest.
$ac_ext
>
&5
ac_cv_lib_xml2_xml
InitPars
er
=
no
ac_cv_lib_xml2_xml
SaveToBuff
er
=
no
fi
rm
-f
conftest.err conftest.
$ac_objext
\
conftest
$ac_exeext
conftest.
$ac_ext
LIBS
=
$ac_check_lib_save_LIBS
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_lib_xml2_xml
InitPars
er
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_lib_xml2_xml
InitPars
er
"
>
&6
if
test
$ac_cv_lib_xml2_xml
InitPars
er
=
yes
;
then
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_lib_xml2_xml
SaveToBuff
er
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_lib_xml2_xml
SaveToBuff
er
"
>
&6
if
test
$ac_cv_lib_xml2_xml
SaveToBuff
er
=
yes
;
then
cat
>>
confdefs.h
<<
_ACEOF
#define HAVE_LIBXML2 1
_ACEOF
...
...
@@ -7379,8 +7379,8 @@ _ACEOF
LIBS
=
"-lxml2
$LIBS
"
else
{
{
echo
"
$as_me
:
$LINENO
: error: library 'xml2' is required for XML support"
>
&5
echo
"
$as_me
: error: library 'xml2' is required for XML support"
>
&2
;
}
{
{
echo
"
$as_me
:
$LINENO
: error: library 'xml2'
(version >= 2.6.23)
is required for XML support"
>
&5
echo
"
$as_me
: error: library 'xml2'
(version >= 2.6.23)
is required for XML support"
>
&2
;
}
{
(
exit
1
)
;
exit
1
;
}
;
}
fi
...
...
configure.in
View file @
de9aa5a7
dnl Process this file with autoconf to produce a configure script.
dnl $PostgreSQL: pgsql/configure.in,v 1.49
5 2007/01/05 22:19:17 momjian
Exp $
dnl $PostgreSQL: pgsql/configure.in,v 1.49
6 2007/01/07 21:10:40 petere
Exp $
dnl
dnl Developers, please strive to achieve this order:
dnl
...
...
@@ -724,7 +724,7 @@ if test "$with_pam" = yes ; then
fi
if test "$with_libxml" = yes ; then
AC_CHECK_LIB(xml2, xml
InitParser, [], [AC_MSG_ERROR([library 'xml2'
is required for XML support])])
AC_CHECK_LIB(xml2, xml
SaveToBuffer, [], [AC_MSG_ERROR([library 'xml2' (version >= 2.6.23)
is required for XML support])])
fi
...
...
doc/src/sgml/installation.sgml
View file @
de9aa5a7
<
!-- $PostgreSQL: pgsql/doc/src/sgml/installation.sgml,v 1.27
0 2006/12/24 00:29:17 tgl
Exp $ -->
<
!-- $PostgreSQL: pgsql/doc/src/sgml/installation.sgml,v 1.27
1 2007/01/07 21:10:41 petere
Exp $ -->
<
chapter
id
=
"installation"
>
<
title
><
![%standalone-include[<productname>PostgreSQL</>]]>
...
...
@@ -909,7 +909,8 @@ su - postgres
<
term
><
option
>--
with
-
libxml
</
option
></
term
>
<
listitem
>
<
para
>
Build
with
libxml
(
enables
SQL
/
XML
support
).
Build
with
libxml
(
enables
SQL
/
XML
support
).
Libxml
version
2.6.23
or
later
is
required
for
this
feature
.
</
para
>
</
listitem
>
</
varlistentry
>
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment